################################################################################
#
# Makefile  : Top-Level Makefile for programs using kpathsea 
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <01/11/28 22:08:36 popineau>
#
################################################################################
root_srcdir = ..\..
INCLUDE=$(INCLUDE);$(root_srcdir)\win32

!include <make/common.mak>

# Package subdirectories, the library, and all subdirectories.
subdirs = exp-macr src-gcc

!include <make/subdirs.mak>
!include <make/clean.mak>

# Local Variables:
# mode: Makefile
# End:

