################################################################################
#
# Makefile  : Musixflx
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <01/11/19 14:55:29 popineau>
#
################################################################################
root_srcdir = ..\..
INCLUDE=$(INCLUDE);$(root_srcdir)\win32

USE_GNUW32 = 1
USE_KPATHSEA = 1

!include <make/common.mak>

DEFS = $(DEFS) -DKPATHSEA -DNeedFunctionPrototypes

program = $(objdir)\musixflx.exe
objects = $(objdir)\musixflx.obj

programs = $(program)

default: all

all: $(objdir) $(programs)

$(program): $(objects) $(kpathsealib)
	$(link) $(**) $(conlibs)

!include <make/config.mak>

!include <make/install.mak>

install:: install-exec

!include <make/clean.mak>

!include <make/rdepend.mak>
!include "./depend.mak"

#
# Local Variables:
# mode: makefile
# End:

