################################################################################
#
# Makefile  : Jpeg2ps
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <01/11/20 13:37:41 popineau>
#
################################################################################
root_srcdir = ..\..
INCLUDE=$(INCLUDE);$(root_srcdir)\win32

USE_GNUW32 = 1

!include <make/common.mak>

DEFS = $(DEFS) -DA4 -I.

programs = $(objdir)\jpeg2ps.exe

objects = $(objdir)\jpeg2ps.obj $(objdir)\readjpeg.obj \
	$(objdir)\asc85ec.obj

default: all

all: $(objdir) $(programs)

$(objdir)\jpeg2ps.exe: $(objects) $(gnuw32lib)
	$(link) $(**) $(conlibs)

!include <make/config.mak>
!include <make/install.mak>

install:: install-exec

!include <make/clean.mak>
!include <make/rdepend.mak>
!include "./depend.mak"

#
# Local Variables:
# mode: makefile
# End:
