################################################################################
#
# Makefile  : tiff2png
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <02/03/01 08:45:42 popineau>
#
################################################################################
root_srcdir = ..\..
INCLUDE=$(INCLUDE);$(root_srcdir)\win32

USE_GNUW32 = 1
USE_ZLIB = 1
USE_PNG = 1
USE_TIFF = 1
NETPBM = 1

!include <make/common.mak>

DEFS= $(DEFS) -DPNG_INTERNAL

programs = $(objdir)\tiff2png.exe
objects = $(objdir)\tiff2png.obj

default: all

all: $(objdir) $(objdir)\tiff2png.exe

$(objdir)\tiff2png.exe: $(objects) $(pnglib) $(tifflib) $(zliblib) $(gnuw32lib)
	$(link) $(**) $(conlibs)

!include <make/config.mak>
!include <make/install.mak>

install:: install-exec

!include <make/clean.mak>

!include <make/rdepend.mak>
!include "./depend.mak"

# 
# Local Variables:
# mode: makefile
# End:
