require "newgetopt.pl";
use lib "./perl";

$prologue = "#undef TRIP\n#undef TRAP\n#define STAT\n#define INI\n";

%engines = (
	    "tex" => "#define INITEX\n#define TeX\n",
	    "etex" => "#define INITEX\n#define TeX\n#define eTeX\n",
	    "pdftex"=> "#define INITEX\n#define TeX\n#define pdfTeX\n",
	    "pdfetex"=> "#define INITEX\n#define TeX\n#define pdfeTeX\n",
	    "omega"=> "#define INITEX\n#define TeX\n#define Omega\n",
	    "mf"=> "#define INIMF\n#define MF\n",
	    "mp"=> "#define INIMP\n#define MP\n"
	    );

&main;

exit 0;

sub help {
  print STDERR "Usage: $0 --name=<engine>\n";
}

sub main {
    unless (&NGetOpt ("name=s", "help"))
    {
	print STDERR "Try `$0 --help'";
	exit 1;
    }

    print STDOUT $prologue;
    print STDOUT $engines{$opt_name};
      $coerceline = "^#include \"${opt_name}coerce\.h\"";
    while (<STDIN>) {
      print STDOUT $_;
#      print STDERR "coerceline = $coerceline\n";
      if (/${coerceline}/) {
	# Include $opt_nameextra.c
	open EXTRA, "<./lib/texmfmp.c";
	while (<EXTRA>) {
	  s/TEX-OR-MF-OR-MP/${opt_name}/;
          s@^(#include \"${opt_name}d\.h\")@/* $1 */@;
	  print STDOUT $_;
	}
	close EXTRA;
      }
    }
}
