################################################################################
#
# Makefile  : Dvi2tty
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <01/11/19 11:01:31 popineau>
#
################################################################################
root_srcdir = ..\..
INCLUDE=$(INCLUDE);$(root_srcdir)\win32

USE_KPATHSEA = 1
USE_GNUW32 = 1

!include <make/common.mak>

DEFS = $(DEFS) -DHAVE_CONFIG_H

manfiles = dvidvi.1
programs = $(objdir)\dvidvi.exe
scripts = a5bookle.bat doubside.bat

default all: $(objdir) $(programs)

$(objdir)\dvidvi.exe: $(objdir)\dvidvi.obj $(kpathsealib)
	$(link) $(**) $(conlibs)

!include <make/config.mak>
!include <make/install.mak>

install:: install-exec install-man

!include <make/clean.mak>
!include <make/rdepend.mak>
!include "./depend.mak"

#
# Local Variables:
# mode: makefile
# End: