
extern int WriteFontName(char **buffpoint ,struct _iobuf *fRtf);
extern int TryDirectConvert(char *command,struct _iobuf *fRtf);

extern int CallCommandFunc(char *cCommand);
extern int CallParamFunc(char *cCommand,int AddParam);
extern void PushEnvironment(int code);
extern void PopEnvironment(int code);
extern void ClearEnvironment();

extern int WriteFontHeader(struct _iobuf *fRtf);
extern int GetFontNumber(char *Fname);
extern int GetTexFontNumber(char *Fname);
extern void RemoveFontlist(void );

extern void DoParCmd();
extern void DoBeginparagraph();
extern void CmdParPlain(int code);
extern void CmdCharFormat(int code);
extern void GetParam(char *string,int size);
extern void CmdBeginEnd(int code);
extern void Paragraph(int code);
extern void CmdToday(int code);
extern void CmdUmlaute(int code);
extern void CmdLApostrophChar(int code);
extern void CmdRApostrophChar(int code);
extern void CmdMacronChar(int code);
extern void CmdSpitzeChar(int code);
extern void CmdCedillaChar(int code);
extern void CmdUnderdotChar(int code);
extern void CmdSpecials(int code);
extern void CmdTildeChar(int code);
extern void CmdFontSize(int code);
extern void TeXlogo();
extern void LaTeXlogo();
extern void CmdLogo(int code);
extern void CmdFormula(int code);
extern void CmdFigure(int code);
extern void BeginLatexEquation(int code_display);
extern void MyDeleteFile(char *filename,char *suffix);
extern void EndLatexEquation(int code_display);
extern void PbmToRtf(char *ImageName,int depth);
extern int PreparePbm(char *filename,struct _iobuf **f );
extern int WriteImageHeader(int out_linelength,int out_linenumber,int depth);
extern void ConvertImage(int pbm_linelength,int pbm_linenumber,int top,int bottom,int left,int right);
extern void ScanImage(int pbm_linelength,int pbm_linenumber,int *top,int *bottom,int *left,int *right);
extern long StoreBit(int bitvalue);
extern void CmdIgnore(int code);
extern void CmdLdots(int code);
extern void CmdEmphasize(int code);
extern void Format(int code);
extern void Environment(int code);
extern void CmdUsePackage(int code);
extern void CmdTitle(int code);
extern void MakeTheFont(int code);
extern void InitiateRtf();
extern void MakeCheck(int level);
extern void EndDocumentStyle();
extern void CmdDocumentStyle(int code);
extern void CmdSection(int code);
extern void CmdAllSection(int code,int numbering);
extern void DoIndent();
extern void CmdFootNote(int code);
extern void CmdQuote(int code);
extern void CmdMulticols(int code);
extern void CmdUnknownEnvir(int code);
extern void Enum_Level_Plus();
extern void Enum_Level_Minus();
extern void CmdNoindent(int code);
extern void CmdPaper(int code);
extern void CmdSkip(int codeskip);
extern int DimenToTwips(float size,char *unit);
extern void CmdVspace(int codeskip);
extern void CmdPar(int code);
extern void CmdList(int code);
extern void CmdItem(int code);
extern void CmdMbox(int code);
extern void ConvertFormula();
extern void CmdSetFont(int code);
extern void CmdRestoreFont();
extern void CmdTextSetFont(int code);
extern void CmdFrenchAbbrev(int code);
extern void CmdSuperscript(int code);
extern void CmdInclude(int code);
extern void OutVerbatim(struct _iobuf **f ,char *endstring,int outrtf);
extern void CmdVerb(int code);
extern void CmdVerbatim(int code);
extern void CmdVerse(int code);
extern void CmdIgnoreDef(int code);
extern void TranslateGerman(void );
extern void CmdPrintRtf(int code);
extern void GermanPrint(int code);
extern void CmdIgnoreLet(int code);
extern void IgnoreNewCmd(int code);
extern void CmdLabel(int code);
extern void ConvertString(char *string);

extern void Rowstrcat(char *addstring);
extern void Tabbing(int code);
extern void CmdTabset(int code);
extern void CmdTabjump(int code);
extern void CmdTabkill(int code);
extern void CmdIgnoreFigure(int code);
extern void CmdIgnoreParameter(int code);
extern void Ignore_Environment(char *searchstring);
extern void GetOptParam(char *string,int size);
extern void CmdIgnoreEnvironment(int code);
extern void CmdColumn(int code);
extern char *GetSubString(char *s,char terminatesymbol);
extern void CmdNewPage(int code);
extern void Cmd_OptParam_Without_braces(int code);
extern void GetInputParam(char *string,int size);
extern void ConvertTabbing(void );
extern void Convert_Tabbing_with_kill(void );
extern void CmdBottom(int code);
extern void CmdAbstract(int code);
extern void CmdTitlepage(int code);
extern void CmdHyphenation(int code);
extern void CmdFormula2(int code);
extern void CmdLetter(int code);
extern void CmdAddress(int code);
extern void CmdSignature(int code);
extern void CmdOpening(int code);
extern void CmdClosing(int code);
extern void CmdPs(int code);
extern void CmdArray(int code);
extern void CmdHline(int code);
extern void TabularDbleSlash();
extern void TabulationChar();
extern void CmdTabular(int code);
extern void CmdTable(int code);
extern void CmdExponent(int code);

extern int TryVariableIgnore(char *command,struct _iobuf *fTex);
extern void IgnoreVar(struct _iobuf *fTex);
extern void IgnoreCmd(struct _iobuf *fTex);

extern int main(int argc,char **argv );
extern int Convert();
extern void errorchar(char text);
extern void Message(char *text);
extern void OutputError(char *text);
extern void error(char *text);
extern void Error(char *text);
extern void warning(char *text);
extern void numerror(int num);
extern int PrepareRtf(char *filename,struct _iobuf **f );
extern int OpenMathTeX(char *filename,struct _iobuf **f );
extern int PrepareStdout(char *filename,struct _iobuf **f );
extern int PrepareTex(char *filename,struct _iobuf **f );
extern int CloseTex(struct _iobuf **f );
extern int CloseMath(struct _iobuf **f );
extern int CloseRtf(struct _iobuf **f );
extern int TranslateCommand();
extern void IgnoreTo(char cEnd);
extern struct _iobuf *open_cfg(const char *name);
extern int GetConfigs();
extern int SaveInitialDir();
extern int RestoreInitialDir();

extern int Push(int lev,int brack);
extern int Pop(int *lev,int *brack);

