################################################################################
#
# Makefile  : PNG contrib, VisuPng
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <02/03/01 08:45:19 popineau>
#
################################################################################
root_srcdir = ..\..\..
INCLUDE=$(INCLUDE);$(root_srcdir)\win32

USE_GNUW32 = 1
USE_ZLIB = 1
USE_PNG = 1
NETPBM = 1

!include <make/common.mak>

programs = $(objdir)\VisualPng.exe

default: all

all: $(objdir) $(programs)

objects = $(objdir)\VisualPng.obj $(objdir)\PngFile.obj

$(objdir)\VisualPng.exe: $(objects) $(pnglib) $(zliblib)
	$(link_gui) $(**) $(guilibs) comdlg32.lib

!include <make/config.mak>
!include <make/install.mak>

install:: install-exec

!include <make/clean.mak>

!include <make/rdepend.mak>
!include "./depend.mak"

#  
# Local variables:
# page-delimiter: "^# \f"
# mode: Makefile
# End:
