################################################################################
#
# Makefile  : TIFF programs / man pages
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <01/10/29 06:35:14 popineau>
#
################################################################################
root_srcdir = ..\..\..
INCLUDE=$(INCLUDE);$(root_srcdir)\win32

!include <make/common.mak>

manfiles= \
	fax2tiff.1 \
	fax2ps.1 \
	gif2tiff.1 \
	pal2rgb.1 \
	ppm2tiff.1 \
	ras2tiff.1 \
	rgb2ycbcr.1 \
	sgi2tiff.1 \
	thumbnail.1 \
	tiff2bw.1 \
	tiff2ps.1 \
	tiffcmp.1 \
	tiffcp.1 \
	tiffdither.1 \
	tiffdump.1 \
	tiffgt.1 \
	tiffinfo.1 \
	tiffmedian.1 \
	tiffsplit.1 \
	tiffsv.1


!include <make/install.mak>

all::

install:: install-man

!include <make/clean.mak>
!include <make/rdepend.mak>

# Local Variables:
# mode: Makefile
# End:

