################################################################################
#
# Makefile  : version, dependencies on resource files 
#	    : holding version information
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <01/09/30 16:14:53 popineau>
#
################################################################################

$(win32rcdir)\w2cwin32.version: $(win32rcdir)\w2cversion.h

$(objdir)\afm2tfm.res: $(win32rcdir)\afm2tfm.rc $(win32rcdir)\w2cwin32.version
$(objdir)\bibtex.res: $(win32rcdir)\bibtex.rc $(win32rcdir)\w2cwin32.version
$(objdir)\dmp.res: $(win32rcdir)\dmp.rc $(win32rcdir)\w2cwin32.version
$(objdir)\dvicopy.res: $(win32rcdir)\dvicopy.rc $(win32rcdir)\w2cwin32.version
$(objdir)\dvihp.res: $(win32rcdir)\dvihp.rc $(win32rcdir)\w2cwin32.version
$(objdir)\dvilj.res: $(win32rcdir)\dvilj.rc $(win32rcdir)\w2cwin32.version
$(objdir)\dvips.res: $(win32rcdir)\dvips.rc $(win32rcdir)\w2cwin32.version
$(objdir)\dvitomp.res: $(win32rcdir)\dvitomp.rc $(win32rcdir)\w2cwin32.version
$(objdir)\dvitype.res: $(win32rcdir)\dvitype.rc $(win32rcdir)\w2cwin32.version
$(objdir)\etex.res: $(win32rcdir)\etex.rc $(win32rcdir)\w2cwin32.version
$(objdir)\gftodvi.res: $(win32rcdir)\gftodvi.rc $(win32rcdir)\w2cwin32.version
$(objdir)\gftopk.res: $(win32rcdir)\gftopk.rc $(win32rcdir)\w2cwin32.version
$(objdir)\gftype.res: $(win32rcdir)\gftype.rc $(win32rcdir)\w2cwin32.version
$(objdir)\kpathsea.res: $(win32rcdir)\kpathsea.rc $(win32rcdir)\w2cwin32.version
$(objdir)\makeindex.res: $(win32rcdir)\makeindex.rc $(win32rcdir)\w2cwin32.version
$(objdir)\makempx.res: $(win32rcdir)\makempx.rc $(win32rcdir)\w2cwin32.version
$(objdir)\maketex.res: $(win32rcdir)\maketex.rc $(win32rcdir)\w2cwin32.version
$(objdir)\mf.res: $(win32rcdir)\mf.rc $(win32rcdir)\w2cwin32.version
$(objdir)\mft.res: $(win32rcdir)\mft.rc $(win32rcdir)\w2cwin32.version
$(objdir)\mpost.res: $(win32rcdir)\mpost.rc $(win32rcdir)\w2cwin32.version
$(objdir)\mpto.res: $(win32rcdir)\mpto.rc $(win32rcdir)\w2cwin32.version
$(objdir)\patgen.res: $(win32rcdir)\patgen.rc $(win32rcdir)\w2cwin32.version
$(objdir)\pdftex.res: $(win32rcdir)\pdftex.rc $(win32rcdir)\w2cwin32.version
$(objdir)\pktogf.res: $(win32rcdir)\pktogf.rc $(win32rcdir)\w2cwin32.version
$(objdir)\pktype.res: $(win32rcdir)\pktype.rc $(win32rcdir)\w2cwin32.version
$(objdir)\pltotf.res: $(win32rcdir)\pltotf.rc $(win32rcdir)\w2cwin32.version
$(objdir)\pooltype.res: $(win32rcdir)\pooltype.rc $(win32rcdir)\w2cwin32.version
$(objdir)\tangle.res: $(win32rcdir)\tangle.rc $(win32rcdir)\w2cwin32.version
$(objdir)\tex.res: $(win32rcdir)\tex.rc $(win32rcdir)\w2cwin32.version
$(objdir)\tie.res: $(win32rcdir)\tie.rc $(win32rcdir)\w2cwin32.version
$(objdir)\tftopl.res: $(win32rcdir)\tftopl.rc $(win32rcdir)\w2cwin32.version
$(objdir)\vftovp.res: $(win32rcdir)\vftovp.rc $(win32rcdir)\w2cwin32.version
$(objdir)\vptovf.res: $(win32rcdir)\vptovf.rc $(win32rcdir)\w2cwin32.version
$(objdir)\weave.res: $(win32rcdir)\weave.rc $(win32rcdir)\w2cwin32.version
$(objdir)\web2c.res: $(win32rcdir)\web2c.rc $(win32rcdir)\w2cwin32.version

# End of version.mak
#
# Local Variables:
# mode: makefile
# End: