
#use lib &dirname($ARGV[0]);
use file_utils qw(look_for);
use cauto qw(configure_cauto);

&main;

exit(0);

sub main {
    local ($src, $dst);

    if  (-f "$ARGV[0]" && $ARGV[0] =~ /(.*)\.in$/) {
      $src = $ARGV[0];
      $dst = $1;
      if ($ARGV[1] =~ /(.*)\.h$/) {
	$dst = $ARGV[1];
      }
      &configure_cauto($src, $dst);
    }
    else {
      if (-f "./cauto.h.in") {
	$src = "./cauto.h.in";
	$dst = "./cauto.h";
	&configure_cauto($src, $dst);
      }
      elsif (-f "./c-auto.in") {
	$src = "./c-auto.in";
	$dst = "./c-auto.h";
	&configure_cauto($src, $dst);
      }
      
      if (-f "./config.h.in") {
	$src = "./config.h.in";
	$dst = "./config.h";
	&configure_cauto($src, $dst);
      }
      elsif (-f "./config.hin") {
	$src = "./config.hin";
	$dst = "./config.h";
	&configure_cauto($src, $dst);
      }
      elsif (-f "./config.in") {
	$src = "./config.in";
	$dst = "./config.h";
	&configure_cauto($src, $dst);
      }
      else {
	print STDERR "No file to configure found!\n";
      }
    }
}
